pcl::GridProjection< PointNT >::Leaf Struct Reference

Data leaf. More...

`#include <pcl/surface/grid_projection.h>`

## Public Member Functions

| Leaf ()

## Public Attributes

std::vector< int > | data_indices
Eigen::Vector4f | pt_on_surface
Eigen::Vector3f | vect_at_grid_pt

## Detailed Description

### template<typename PointNT>
struct pcl::GridProjection< PointNT >::Leaf

Data leaf.

Definition at line 87 of file grid_projection.h.

## Constructor & Destructor Documentation

template<typename PointNT >

pcl::GridProjection< PointNT >::Leaf::Leaf | ( |  | ) |

inline

Definition at line 89 of file grid_projection.h.

## Member Data Documentation

template<typename PointNT >

std::vector<int> pcl::GridProjection< PointNT >::Leaf::data_indices

Definition at line 91 of file grid_projection.h.

Referenced by pcl::GridProjection< PointNT >::reconstructPolygons().

template<typename PointNT >

Eigen::Vector4f pcl::GridProjection< PointNT >::Leaf::pt_on_surface

Definition at line 92 of file grid_projection.h.

Referenced by pcl::GridProjection< PointNT >::reconstructPolygons(), pcl::GridProjection< PointNT >::storeVectAndSurfacePoint(), and pcl::GridProjection< PointNT >::storeVectAndSurfacePointKNN().

template<typename PointNT >

Eigen::Vector3f pcl::GridProjection< PointNT >::Leaf::vect_at_grid_pt

Definition at line 93 of file grid_projection.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/grid_projection.h